# W najprostszych przypadkach w kodzie nie trzeba importować modułu pytest,
# ale by udało się uruchomić testy, trzeba zainstalować pakiet pytest, który NIE JEST częścią biblioteki standardowej Pythona.

# W terminalu: pip install pytest
# Ale my zrobimy to przez Pycharm: File > Settings > Project ??? > Python interpreter

# Tworzenie testów jednostkowych, które mają być uruchomione za pomocą pytest,
# polega na napisaniu funkcji:
# - których nazwa rozpoczyna się od test
# - i w których za pomocą assert sprawdzamy, czy oczekiwane warunki są spełnione

from palindrom import *

def test_kajak():
    assert palindrom("kajak") == True

def test_baba():
    assert palindrom("baba") == False

def test_kobyla():
    assert zdanie_palindrom("Kobyła ma mały bok")
